<?php

/**
 * Created by JetBrains PhpStorm.
 * User: erikasouza
 * Date: 01/03/12
 * Time: 13:17
 * To change this template use File | Settings | File Templates.
 */
class ManutencaoLogic {


    /**      ok
     * Filtro da Tab de Manutencao.
     *
     * @param date $inicio Data de inicio de apropriacao.
     * @param date $fim    Data final de apropriacao.
     * @param date $parc   Parceiro responsavel da apropriacao.
     *
     * @return string
     */
    public function filtroManutencao($inicio, $fim, $parc){
        $filter_conditions = array();
        $params = array();

        if (empty($inicio) === true) {
            $inicio = '01/01/1900 00:00:00';
        }

        if (empty($fim) === true) {
            $fim = now();
        }

        if (empty($parc) !== true) {
            $filter_conditions[] = "(GEP_APROPRIACAO.NRPARCOPERRESP = :NRPARCOPERRESP)";
            $params[":NRPARCOPERRESP"] = $parc;
        }

        $filter_conditions[] = "(
                     GEP_APROPRIACAO.DTINICIOAPROPRIREAL BETWEEN TO_DATE(:INICIO) AND TO_DATE(:FIM)+1
                     OR GEP_APROPRIACAO.DTFIMAPROPRIREAL BETWEEN TO_DATE(:INICIO) AND TO_DATE(:FIM) +1
                     OR GEP_APROPRIACAO.DTINICIOAPROPRIACAO BETWEEN TO_DATE(:INICIO) AND TO_DATE(:FIM)  +1
                     OR GEP_APROPRIACAO.DTFIMAPROPRIACAO BETWEEN TO_DATE(:INICIO)AND TO_DATE(:FIM) +1
                  )";
        $params[":INICIO"] = $inicio;
        $params[":FIM"] = $fim;


        $filter_conditions = implode(" AND ", $filter_conditions);
        return array($filter_conditions, $params);
    }


}

